Bug 505116 - Screen not powered down on suspend to ram, radeon M7500
Screen not powered down on suspend to ram, radeon M7500
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 13:53 EDT by Matt Chan
Modified: 2015-03-04 20:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Chan 2009-06-10 13:53:15 EDT
Description of problem:
On a T42 with a Radeon M7500 (R100) using the radeon open source drivers, the screen does not power down on suspend. The backlight turns off, but the prompt for the screensaver password is still visible. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.suspend laptop
2.
3.
  
Actual results:
screen is not powered down

Expected results:
screen powers down

Additional info:
Comment 1 dongjibing 2009-09-04 03:43:39 EDT
More information is needed.Just as kernel version,dmesg,lspci output and so on.
please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Jérôme Glisse 2009-10-14 06:59:05 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 3 Matt Chan 2009-10-17 22:54:26 EDT
I'm having trouble reproducing.

There used to be an outstanding bug in F11 where the LCD was not set to black before suspending and an image remained. That bug was fixed a couple months ago and now the LCD is set to black before suspending (you can tell because the backlight is still active for a few seconds and there's a bit of leakage).

Unfortunately, that bug allowed me to see that the LCD crystals weren't powered down and to report this bug. Now that it's been fixed, I can't tell whether the screen is really powered down, or if it is a black display and no backlight.

Is there any way to tell the difference between an LCD set to black screen and and an LCD that has actually been powered down when the backlight is off?

Matt
Comment 4 Jérôme Glisse 2009-10-20 05:25:08 EDT
Hard to tell. By boot in init 3 can you suspend and resume ? If so maybe you can try to do that and suspend the computer for 5min and on resume look at how much battery power you got left. Do the same with KMS and of they match i think we can safely assume that you screen is powered down. Note that in order to be able to compare the 2 best is to fully charge the battery before each test and then disconnect power adapter while testing.

Note also that fedora 12 as different code base than fedora 11 for kms, so bug in fedora 11 _likely_ don't exist in fedora 12. Btw here with a R51 (7500 too iirc) suspend properly shutdown the screen with f12 (tested with battery life test i described above).
Comment 5 Matt Chan 2009-10-20 06:49:33 EDT
I may have an alternate testing method.

When the T42 powers down the screen, there's a momentary discolouration of the LCD. It resembles frost melting, but is much quicker. 

When the laptop is shutdown, or in <F11 when the X server is switched, you can see the discolouration. I tried to watch for this when suspending, but it doesn't happen.

I haven't tested hibernate yet.

Any thoughts on whether this testing methodology is valid?

Also, I'm downloading a F12 alpha liveCD right now to test with. I'll have results in a day or two.

Matt
Comment 6 Jérôme Glisse 2009-10-20 12:23:15 EDT
I think best is to wait and see what f12 gives you, code in f12 is completely different to code in f11.
Comment 7 Vedran Miletić 2010-03-23 20:01:44 EDT
Reporter, can you retest in F13 Alpha?
Comment 8 Bug Zapper 2010-04-27 10:44:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:52:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.